@type    : 'global';
@element : 'site';

@import (multiple) '../../theme.config';

.timeline, .timeline li {
  list-style: none;
  padding: 0;
}

.timeline {
  margin: 2rem;
  margin-left: 10rem;
  border-radius: 12px;
  position: relative;
}

.timeline li {
  padding-bottom: 1.5rem;
  border-left: 1px solid fade(@primaryColor, 20%);
  position: relative;
  padding-left: 20px;
  display: flex;

  &:last-child{
    border: 0px;
    padding-bottom: 0;
  }
  
  &:before{
    content: '';
    width: 16px;
    height: 16px;
    background-color: #fff;
    border: 1px solid @primaryColor;
    border-radius: 50%;
    position: absolute;
    left: -8px;
    top: 0px;
  }
}

.time {
  position: absolute;
  top: -10px;
  left: 0;
  padding: 0 1rem;
  width: 10rem;
  text-align: right;
  transform: translateX(-100%);
}

.itemContent {
  position: relative;
  top: -7px;
}